[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Head-up - new firefox in rawhide



On Thu, 2009-11-19 at 14:30 -0800, Christopher Aillon wrote: 
> On 11/18/2009 04:15 AM, Martin Stransky wrote:
> > a new firefox (3.6 beta 2) just hit rawhide (a.k.a f13). There are some
> > changes which affect everyone who builds with xulrunner-devel-unstable
> > package.
> >
> > Mozilla decided to merge all include directories to one (mozbz#398573)
> > and stop shipping stable/unstable packages. So all headers/libraries are
> > merged to one big xulrunner-devel package (with respective pkgconfig
> > files) and xulrunner-devel-unstable has been removed.
> >
> > What does it mean for you?
> >
> > 1) Change xulrunner-devel-unstable to xulrunner-devel in spec. file
> > BuildRequires.
> 
> Perhaps we should continue to provide -unstable, though.  Things that 
> still need the unstable libs can continue Require -unstable which will 
> make it a heck of a lot easier to figure out what to rebuild...

+1

Putting the unstable API in a separate package also makes it a bit
harder for developers using Fedora as their development platform to
naively rely on the unstable API.

-- 
Braden McDaniel <braden endoframe com>


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]